Subject: Re: action stats broken?

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 21 Sep 2014 08:33:40 -0400

On 09/20/14 11:21, John Fastabend wrote:
> On 09/20/2014 06:17 AM, Jamal Hadi Salim wrote:

>
> I'm looking into it which classifier? A basic u32 classifier attached
> to the ingress qdisc seems to work. If your using u32 any hash tables,
> or 'filter change' commands before this?
>

Nothing that exciting.

> # tc actions add  action drop index 4
>
> # tc filter add dev p3p1 parent ffff:0 protocol ip prio 100 \
>      u32 match ip src 16.0.0.2 action gact index 4
>
> #tc -s actions ls action gact
>
>          action order 0: gact action drop
>           random type none pass val 0
>           index 4 ref 2 bind 1 installed 142 sec used 0 sec
>          Action statistics:
>          Sent 840 bytes 10 pkt (dropped 10, overlimits 0 requeues 0)
>          backlog 0b 0p requeues 0
>

Indeed that looks sane. What kernel version + iproute2?

I have time this morning - I will chase it to double check in case
my environment is messed up.

cheers,
jamal

>> cheers,
>> jamal
>> --
>> To unsubscribe from this list: send the line "unsubscribe netdev" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>